package net.sf.sido.support;

import java.util.Map;

import net.sf.sido.DataObject;
import net.sf.sido.Property;
import net.sf.sido.PropertyController;
import net.sf.sido.PropertyMetaInfos;
import net.sf.sido.array.Array;

public class AnonymousArrayPropertyController implements PropertyController<Array<DataObject>> {

	@Override
	public void control(Property<Array<DataObject>> property, DataObject o, Array<DataObject> value) {
	}

	@Override
	public void fillMetaInfo(Map<String, Object> mi) {
		mi.put(PropertyMetaInfos.ARRAY, true);
		mi.put(PropertyMetaInfos.DO, true);
	}

	@Override
	public Array<DataObject> getDefaultValue(boolean deep) {
		return null;
	}

}
