package net.sf.sido.io;

import java.io.IOException;
import java.io.OutputStream;

import net.sf.sido.DataObject;

public interface DataObjectWriter<T, N> {

	T createElement(N name, DataObject o);

	T createElement(N name, DataObject o, DOReferenceManagement referenceManagement);

	void write(OutputStream out, DataObject o) throws IOException;

	void write(OutputStream out, DataObject o, DOReferenceManagement referenceManagement) throws IOException;

}
